# fn() shuffle
Shuffle the given container.

Defined in | <seqan/random.h>
Signature | `void shuffle(container, rng);`

## Parameters

`container` | The container to shuffle.
`rng` | The random number generator to use.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn shuffle
     *
     * @headerfile <seqan/random.h>
     *
     * @brief Shuffle the given container.
     *
     * @signature void shuffle(container, rng);
     *
     * @param[in,out] container The container to shuffle.
     * @param[in,out] rng The random number generator to use.
     */